<?php

namespace App\Providers;

use App\Services\TagDetectorService;
use Illuminate\Support\ServiceProvider;

class TagDetectorProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(TagDetectorService::class);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
